import ChipCold from 'assets/icons/visu/analysis/chip-cold.svg'
import ChipHot from 'assets/icons/visu/analysis/chip-hot.svg'
import ChipNegative from 'assets/icons/visu/analysis/chip-negative.svg'
import ChipPositive from 'assets/icons/visu/analysis/chip-positive.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import React from 'react'

export const ChipVariation = ({
  color,
}: {
  color: 'positive' | 'negative' | 'hot' | 'cold'
}) => {
  switch (color) {
    case 'positive':
      return <StyledIcon size={20} icon={ChipPositive} />
    case 'negative':
      return <StyledIcon size={20} icon={ChipNegative} />
    case 'hot':
      return <StyledIcon size={20} icon={ChipHot} />
    case 'cold':
      return <StyledIcon size={20} icon={ChipCold} />
  }
}
