import failureIcon from 'assets/icons/visu/duelResult/CHALLENGE0001-0.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import '../HalfHourUpcoming/HalfHourUpcoming.scss'

const HalfHourNoDataFailure = () => {
  const { t } = useI18n()

  return (
    <div className="halfHour">
      <StyledIcon className="imgResult" icon={failureIcon} size={180} />
      <h2 className="text-20-bold halfHourFailure">
        {t('timestep.half_an_hour.gather_data_failure')}
      </h2>
    </div>
  )
}

export default HalfHourNoDataFailure
